#include <iostream>
using namespace std;
#include<string>
#include<cmath>
#include<algorithm>

int main(int argc, char** argv)
 {
 	ios_base::sync_with_stdio(false);
cin.tie(NULL); 
	string c;
	int a1,a2;
	string c1,c2;
	cin>>c;
	c1=c[0];
	c2=c[1];
	cin>>a1>>a2;
	
	if(abs(a1-a2)>1)
	{
		cout<<"nemoguce";
	}
	else
	{
		if(a1==a2)
		{
			for(int i=0;i<a1;i++)
			{
				cout<<c;
			}
		}
		else
		{
			if(a1==a2+1)
			{
				for(int i=0;i<a2;i++)
				{
					cout<<c;
				}
				cout<<c1;
			}
			else
			{
				if(a2==a1+1)
				{
					string s=c2+c1;
					for(int i=0;i<a1;i++)
					{
						cout<<s;
					}
					cout<<c2;
				}
			}
		}
	}
	
	
	
	
	
}